<!--
  ~ #%L
  ~ chvote-bo
  ~ %%
  ~ Copyright (C) 2016 - 2019 République et Canton de Genève
  ~ %%
  ~ This program is free software: you can redistribute it and/or modify
  ~ it under the terms of the GNU Affero General Public License as published by
  ~ the Free Software Foundation, either version 3 of the License, or
  ~ (at your option) any later version.
  ~
  ~ This program is distributed in the hope that it will be useful,
  ~ but WITHOUT ANY WARRANTY; without even the implied warranty of
  ~ MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
  ~ GNU General Public License for more details.
  ~
  ~ You should have received a copy of the GNU Affero General Public License
  ~ along with this program. If not, see <http://www.gnu.org/licenses/>.
  ~ #L%
  -->

<mat-card id="votingCardTitleEdit" [class.read-only]="readOnly">
  <mat-card-header>
    <mat-card-title>{{'voting-material.card-title.edit.title' | translate}}</mat-card-title>
    <mat-card-subtitle *ngIf="!readOnly" fxLayout fxLayoutAlign="end">
      <span>{{'global.forms.fields.required' | translate}}</span>
    </mat-card-subtitle>
  </mat-card-header>
  <mat-card-content>
    <form [formGroup]="form" novalidate>
      <div fxLayout="row wrap" fxLayoutGap="25px">
        <mat-form-field fxFlex="75 0 200px">
          <input matInput
                 name="title"
                 formControlName="title"
                 placeholder="{{'voting-material.card-title.edit.form.fields.title.placeholder' | translate}}"
                 maxlength="40"
                 required>
          <mat-error *ngIf="form.get('title').hasError('required')">
            <span>{{'global.forms.errors.required' | translate}}</span>
          </mat-error>
          <mat-error *ngIf="form.get('title').hasError('maxlength')">
            {{'voting-material.card-title.edit.form.fields.title.placeholder.error.max-length' | translate}}
          </mat-error>
        </mat-form-field>
      </div>
    </form>
  </mat-card-content>
  <ng-container *roles="['UPDATE_VOTING_CARD_TITLE']">
    <mat-card-actions *ngIf="!readOnly">
      <div fxLayout fxLayoutAlign="end">
        <button mat-raised-button
                id="saveButton"
                color="primary"
                (click)="save()">{{'global.actions.save' | translate | uppercase}}
        </button>
      </div>
    </mat-card-actions>
  </ng-container>
</mat-card>

